Common
Folder Create
Creates a new folder in the specified namespace to organize documents and envelopes.
AuthorizationBearer <token>
JWT token to authenticate the request.
In: header
X-Api-Key<token>
API key, sent as a request header.
In: header
Request Body
application/json
The folder object to be created.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/common/folder/create" \ -H "Content-Type: application/json" \ -d '{ "folder": { "name": "Q3 Financial Contracts" } }'{ "folder": { "id": "123e4567-e89b-12d3-a456-426614174000", "message": "Folder saved." }}{ "error": { "message": "Envelope not found.", "statusCode": 400, "innerErrors": [ { "code": "ENVELOPE_ID_INVALID", "message": "Envelope not found.", "userMessage": "Envelope not found." } ] }, "origin": "POST https://api.doctavian.com/v1/common/folder/create", "dateTime": "2026-07-20T12:00:00.000Z", "userId": "2c355c97-7587-43f2-a7ac-b1cd42a97d1e", "operationId": "8a2a8f5dcaecadb9afa9a2865396d16a"}{ "error": { "message": "Envelope not found.", "statusCode": 500, "innerErrors": [ { "code": "ENVELOPE_ID_INVALID", "message": "Envelope not found.", "userMessage": "Envelope not found." } ] }, "origin": "POST https://api.doctavian.com/v1/common/folder/create", "dateTime": "2026-07-20T12:00:00.000Z", "userId": "2d9e8771-2fcc-4c87-8817-7ffa49ad1b26", "operationId": "ce21e27e6228404316a308265cb41d91"}